- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# eval.hh File Reference

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

More...

Include dependency graph for eval.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T, typename W>
Element< A, T >::semiring_elt_t | eval (const Element< A, T > &a, const W &word)
| Return the image of a word by an automaton.

## Detailed Description

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 17:50:38 2003

This file provides the evaluation of a word w.r.t an automaton.

See also:
  eval()

Definition in file eval.hh.